##########################################################################
# DELL PROPRIETARY INFORMATION
#
# This software is confidential.  Dell Inc., or one of its subsidiaries, has supplied this
# software to you under the terms of a license agreement,nondisclosure agreement or both.
# You may not copy, disclose, or use this software except in accordance with those terms.
#
# Copyright 2020 Dell Inc. or its subsidiaries.  All Rights Reserved.
#
# DELL INC. MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE SOFTWARE,
# EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF
# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT.
# DELL SHALL NOT BE LIABLE FOR ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING,
# MODIFYING OR DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
#
#
#
##########################################################################

<#
This is a Resource designer script which generates a mof schema for DCPP_POSTBehavior resource in DellBIOSProvider module.


#>

$category = New-xDscResourceProperty -name Category -Type String -Attribute Key
$integratedNIC = New-xDscResourceProperty -name IntegratedNIC -Type String -Attribute Write -ValidateSet @("Enabled", "Enabled with PXE", "Enabled with ImageServer", "Enabled with RPL Boot", "Enabled with ISCSI Boot")
$uefiNetworkStack = New-xDscResourceProperty -name UEFINetworkStack -Type String -Attribute Write -ValidateSet @("Enabled", "Disabled")
$parallelPort = New-xDscResourceProperty -name ParallelPort -Type String -Attribute Write -ValidateSet @("Disabled", "AT", "PS2", "ECP")
$serialPort1 = New-xDscResourceProperty -name SerialPort1 -Type String -Attribute Write -ValidateSet @("Disabled", "COM1", "COM2", "COM3", "COM4", "Auto")
$sataOperation = New-xDscResourceProperty -name SATAOperation -Type String -Attribute Write -ValidateSet @("Disabled", "ATA", "AHCI", "RAID On")
$sata0 = New-xDscResourceProperty -name SATA0 -Type String -Attribute Write -ValidateSet @("Enabled", "Disabled")
$sata1 = New-xDscResourceProperty -name SATA1 -Type String -Attribute Write -ValidateSet @("Enabled", "Disabled")
$sata2 = New-xDscResourceProperty -name SATA2 -Type String -Attribute Write -ValidateSet @("Enabled", "Disabled")
$sata3 = New-xDscResourceProperty -name SATA3 -Type String -Attribute Write -ValidateSet @("Enabled", "Disabled")
$smartReporting = New-xDscResourceProperty -name SMARTReporting -Type String -Attribute Write -ValidateSet @("Enabled", "Disabled")
$usbPowerShare = New-xDscResourceProperty -name USBPowerShare -Type String -Attribute Write -ValidateSet @("Enabled", "Disabled")
$audio = New-xDscResourceProperty -name Audio -Type String -Attribute Write -ValidateSet @("Enabled", "Disabled")
$keyboardIllumination = New-xDscResourceProperty -name KeyboardIllumination -Type String -Attribute Write -ValidateSet @("Enabled", "Disabled")
$keyboardBacklightwithAC = New-xDscResourceProperty -name KeyboardBacklightWithAC -Type String -Attribute Write -ValidateSet @("Enabled", "Disabled")
$Password = New-xDscResourceProperty -Name Password -Type string -Attribute Write -Description "Password"
$SecurePassword = New-xDscResourceProperty -Name SecurePassword -Type string -Attribute Write -Description "SecurePassword"
$PathToKey = New-xDscResourceProperty -Name PathToKey -Type string -Attribute Write



$properties = @($category, $integratedNIC, $uefiNetworkStack, $parallelPort, $serialPort1, $sataOperation, $sata0, $sata1, $sata2, $sata3, $smartReporting, $usbPowerShare, $audio, $keyboardIllumination, $keyboardBacklightwithAC,$Password,$SecurePassword,$PathToKey)

New-xDscResource -ModuleName DellBIOSProviderX86 -Name DCPP_SystemConfiguration -Property $properties -Path 'C:\Program Files\WindowsPowerShell\Modules' -FriendlyName "SystemConfiguration" -Force -Verbose

# SIG # Begin signature block
# MIIuzQYJKoZIhvcNAQcCoIIuvjCCLroCAQExDzANBglghkgBZQMEAgEFADB5Bgor
# BgEEAYI3AgEEoGswaTA0BgorBgEEAYI3AgEeMCYCAwEAAAQQH8w7YFlLCE63JNLG
# KX7zUQIBAAIBAAIBAAIBAAIBADAxMA0GCWCGSAFlAwQCAQUABCBJKYU5hQPTAOJT
# 24iwBxixlTiGem3AONol52okqPqEF6CCEugwggXfMIIEx6ADAgECAhBOQOQ3VO3m
# jAAAAABR05R/MA0GCSqGSIb3DQEBCwUAMIG+MQswCQYDVQQGEwJVUzEWMBQGA1UE
# ChMNRW50cnVzdCwgSW5jLjEoMCYGA1UECxMfU2VlIHd3dy5lbnRydXN0Lm5ldC9s
# ZWdhbC10ZXJtczE5MDcGA1UECxMwKGMpIDIwMDkgRW50cnVzdCwgSW5jLiAtIGZv
# ciBhdXRob3JpemVkIHVzZSBvbmx5MTIwMAYDVQQDEylFbnRydXN0IFJvb3QgQ2Vy
# dGlmaWNhdGlvbiBBdXRob3JpdHkgLSBHMjAeFw0yMTA1MDcxNTQzNDVaFw0zMDEx
# MDcxNjEzNDVaMGkxCzAJBgNVBAYTAlVTMRYwFAYDVQQKDA1FbnRydXN0LCBJbmMu
# MUIwQAYDVQQDDDlFbnRydXN0IENvZGUgU2lnbmluZyBSb290IENlcnRpZmljYXRp
# b24gQXV0aG9yaXR5IC0gQ1NCUjEwggIiMA0GCSqGSIb3DQEBAQUAA4ICDwAwggIK
# AoICAQCngY/3FEW2YkPy2K7TJV5IT1G/xX2fUBw10dZ+YSqUGW0nRqSmGl33VFFq
# gCLGqGZ1TVSDyV5oG6v2W2Swra0gvVTvRmttAudFrnX2joq5Mi6LuHccUk15iF+l
# OhjJUCyXJy2/2gB9Y3/vMuxGh2Pbmp/DWiE2e/mb1cqgbnIs/OHxnnBNCFYVb5Cr
# +0i6udfBgniFZS5/tcnA4hS3NxFBBuKK4Kj25X62eAUBw2DtTwdBLgoTSeOQm3/d
# vfqsv2RR0VybtPVc51z/O5uloBrXfQmywrf/bhy8yH3m6Sv8crMU6UpVEoScRCV1
# HfYq8E+lID1oJethl3wP5bY9867DwRG8G47M4EcwXkIAhnHjWKwGymUfe5SmS1dn
# DH5erXhnW1XjXuvH2OxMbobL89z4n4eqclgSD32m+PhCOTs8LOQyTUmM4OEAwjig
# nPqEPkHcblauxhpb9GdoBQHNG7+uh7ydU/Yu6LZr5JnexU+HWKjSZR7IH9Vybu5Z
# HFc7CXKd18q3kMbNe0WSkUIDTH0/yvKquMIOhvMQn0YupGaGaFpoGHApOBGAYGuK
# Q6NzbOOzazf/5p1nAZKG3y9I0ftQYNVc/iHTAUJj/u9wtBfAj6ju08FLXxLq/f0u
# DodEYOOp9MIYo+P9zgyEIg3zp3jak/PbOM+5LzPG/wc8Xr5F0wIDAQABo4IBKzCC
# AScwDgYDVR0PAQH/BAQDAgGGMBIGA1UdEwEB/wQIMAYBAf8CAQEwHQYDVR0lBBYw
# FAYIKwYBBQUHAwMGCCsGAQUFBwMIMDsGA1UdIAQ0MDIwMAYEVR0gADAoMCYGCCsG
# AQUFBwIBFhpodHRwOi8vd3d3LmVudHJ1c3QubmV0L3JwYTAzBggrBgEFBQcBAQQn
# MCUwIwYIKwYBBQUHMAGGF2h0dHA6Ly9vY3NwLmVudHJ1c3QubmV0MDAGA1UdHwQp
# MCcwJaAjoCGGH2h0dHA6Ly9jcmwuZW50cnVzdC5uZXQvZzJjYS5jcmwwHQYDVR0O
# BBYEFIK61j2Xzp/PceiSN6/9s7VpNVfPMB8GA1UdIwQYMBaAFGpyJnrQHu995ztp
# UdRsjZ+QEmarMA0GCSqGSIb3DQEBCwUAA4IBAQAfXkEEtoNwJFMsVXMdZTrA7LR7
# BJheWTgTCaRZlEJeUL9PbG4lIJCTWEAN9Rm0Yu4kXsIBWBUCHRAJb6jU+5J+Nzg+
# LxR9jx1DNmSzZhNfFMylcfdbIUvGl77clfxwfREc0yHd0CQ5KcX+Chqlz3t57jpv
# 3ty/6RHdFoMI0yyNf02oFHkvBWFSOOtg8xRofcuyiq3AlFzkJg4sit1Gw87kVlHF
# VuOFuE2bRXKLB/GK+0m4X9HyloFdaVIk8Qgj0tYjD+uL136LwZNr+vFie1jpUJuX
# bheIDeHGQ5jXgWG2hZ1H7LGerj8gO0Od2KIc4NR8CMKvdgb4YmZ6tvf6yK81MIIG
# ejCCBGKgAwIBAgIQXppEwdVMjAFyZoUhC+DGojANBgkqhkiG9w0BAQsFADBjMQsw
# CQYDVQQGEwJVUzEWMBQGA1UEChMNRW50cnVzdCwgSW5jLjE8MDoGA1UEAxMzRW50
# cnVzdCBFeHRlbmRlZCBWYWxpZGF0aW9uIENvZGUgU2lnbmluZyBDQSAtIEVWQ1My
# MB4XDTI0MDIxNDIwNTQ0MloXDTI1MDIyNzIwNTQ0MVowgdUxCzAJBgNVBAYTAlVT
# MQ4wDAYDVQQIEwVUZXhhczETMBEGA1UEBxMKUm91bmQgUm9jazETMBEGCysGAQQB
# gjc8AgEDEwJVUzEZMBcGCysGAQQBgjc8AgECEwhEZWxhd2FyZTEfMB0GA1UEChMW
# RGVsbCBUZWNobm9sb2dpZXMgSW5jLjEdMBsGA1UEDxMUUHJpdmF0ZSBPcmdhbml6
# YXRpb24xEDAOBgNVBAUTBzUyODAzOTQxHzAdBgNVBAMTFkRlbGwgVGVjaG5vbG9n
# aWVzIEluYy4wggGiMA0GCSqGSIb3DQEBAQUAA4IBjwAwggGKAoIBgQDDo1XKkZwW
# xJ2HF9BoBTYk8SHvDp3z2FVdLQay6VKOSz+Xrohhe56UrKQOW/pePeBC+bj+GM0j
# R7bCZCx0X26sh6SKz3RgIRgc+QP3TRKu6disqSWIjIMKFmNegyQPJbDLaDMhvrVk
# j7qobtphs0OB/8N+hSkcTRmiphzDvjwTiYh6Bgt37pPDEvhz1tkZ/fhWWhp355lW
# FWYBPmxVS2vTKDRSQnLtJ31dltNBXalMW0ougqtJNVJTm1m9m8ZgkBtm2a2Ydgdg
# tYbgye5A0udl0HwcImgiDG1eAKNR1W4eG353UsS7n6IWG93QpF5L++2o7DDcDtBr
# 9qtVy3RjzWuzgYW5/wIvLkWS7UolX65tFfwKai617FikhrrqcgWcwfbKVrUA4nL3
# i4OL4718Y9T/8N39Knwp1+ZJx9hMiFVVCr6XteO0LQg18/NFjDzbuRXzX2adEzxm
# Fdbw3ZGLUfCYN2LQTa+ssOc2hAEumaiVRdntd2d5TaOHwXhsSaBMnh8CAwEAAaOC
# ATUwggExMAwGA1UdEwEB/wQCMAAwHQYDVR0OBBYEFHcDtMS/dbtrhMpavR1yYhFn
# +k1vMB8GA1UdIwQYMBaAFM6JT4JRqhWihGLKMSNh0mH7+P54MGcGCCsGAQUFBwEB
# BFswWTAjBggrBgEFBQcwAYYXaHR0cDovL29jc3AuZW50cnVzdC5uZXQwMgYIKwYB
# BQUHMAKGJmh0dHA6Ly9haWEuZW50cnVzdC5uZXQvZXZjczItY2hhaW4ucDdjMDEG
# A1UdHwQqMCgwJqAkoCKGIGh0dHA6Ly9jcmwuZW50cnVzdC5uZXQvZXZjczIuY3Js
# MA4GA1UdDwEB/wQEAwIHgDATBgNVHSUEDDAKBggrBgEFBQcDAzAgBgNVHSAEGTAX
# MAcGBWeBDAEDMAwGCmCGSAGG+mwKAQIwDQYJKoZIhvcNAQELBQADggIBABB9FgN1
# YzMm05EhuGuTIEQNOwq4VoETYArSR88RLDN9Dr8lu45+WghxE7MigaGKF8AEi6Z3
# diDeN+5TJOiBd6Zv2LDa3UfMpqf8GZm/L1pd5TF19s44NLbxlIad/yq/NbXFcWsc
# VNu4TtM/PdCg7E0ggh044pNllpR/Ofqqu2D/kV6TBMw2cgL24l5YZxat+hxfWBuw
# Rhtwu/kWiSIe0ad/vB4ChVPY7PvNuU/jCU7PlgXOUiIsPbLsheAoWjxAK+Vl/NYX
# 91T/eXBZ7A4McMoprqPeVkKti0OpC2zhb+3NFHjR/gSkVLkmwEh48ebsip6uqEBY
# KS9zj6P6g0P8HHlwNZMkQ4llOzjIsQriORfayBAmjDpsgHr0r3Q362+svyI//k1V
# HjX3WTTYO1tFfOl0LYVzcfOUj5OY04kH35Y+yi30DGJy2mG0qwlRSAfiDr1a8OpL
# eaxkwvN2R2Ml0s6Oiqq0lTuLNFRnl/tCxahaT8liOzFd2WU7I3L5IL0ufRMlbezA
# S453qkkX4Xtd7KtRDQnWU5IbzBg8Yswwv+DLNm2Ep7PHTU3t4GiF0O+oaDq83QaM
# ovN80wPcCce1PkUB9iSvOuBbbrODjlSFa6OVpLHnvDesW1L99YS8sOitcRnXoNXw
# HST4XAO+86tKYUw2XtjBapV1ND20AMhuaZ5KMIIGgzCCBGugAwIBAgIQNa+3e500
# H2r8j4RGqzE1KzANBgkqhkiG9w0BAQ0FADBpMQswCQYDVQQGEwJVUzEWMBQGA1UE
# CgwNRW50cnVzdCwgSW5jLjFCMEAGA1UEAww5RW50cnVzdCBDb2RlIFNpZ25pbmcg
# Um9vdCBDZXJ0aWZpY2F0aW9uIEF1dGhvcml0eSAtIENTQlIxMB4XDTIxMDUwNzE5
# MTk1MloXDTQwMTIyOTIzNTkwMFowYzELMAkGA1UEBhMCVVMxFjAUBgNVBAoTDUVu
# dHJ1c3QsIEluYy4xPDA6BgNVBAMTM0VudHJ1c3QgRXh0ZW5kZWQgVmFsaWRhdGlv
# biBDb2RlIFNpZ25pbmcgQ0EgLSBFVkNTMjCCAiIwDQYJKoZIhvcNAQEBBQADggIP
# ADCCAgoCggIBAL69pznJpX3sXWXx9Cuph9DnrRrFGjsYzuGhUY1y+s5YH1y4JEIP
# RtUxl9BKTeObMMm6l6ic/kU2zyeA53u4bsEkt9+ndNyF8qMkWEXMlJQ7AuvEjXxG
# 9VxmguOkwdMfrG4MUyMO1Dr62kLxg1RfNTJW8rV4m1cASB6pYWEnDnMDQ7bWcJL7
# 1IWaMMaz5ppeS+8dKthmqxZG/wvYD6aJSgJRV0E8QThOl8dRMm1njmahXk2fNSKv
# 1Wq3f0BfaDXMafrxBfDqhabqMoXLwcHKg2lFSQbcCWy6SWUZjPm3NyeMZJ414+Xs
# 5wegnahyvG+FOiymFk49nM8I5oL1RH0owL2JrWwv3C94eRHXHHBL3Z0ITF4u+o29
# p91j9n/wUjGEbjrY2VyFRJ5jBmnQhlh4iZuHu1gcpChsxv5pCpwerBFgal7JaWUu
# 7UMtafF4tzstNfKqT+If4wFvkEaq1agNBFegtKzjbb2dGyiAJ0bH2qpnlfHRh3vH
# yCXphAyPiTbSvjPhhcAz1aA8GYuvOPLlk4C/xsOre5PEPZ257kV2wNRobzBePLQ2
# +ddFQuASBoDbpSH85wV6KI20jmB798i1SkesFGaXoFppcjFXa1OEzWG6cwcVcDt7
# AfynP4wtPYeM+wjX5S8Xg36Cq08J8inhflV3ZZQFHVnUCt2TfuMUXeK7AgMBAAGj
# ggErMIIBJzASBgNVHRMBAf8ECDAGAQH/AgEAMB0GA1UdDgQWBBTOiU+CUaoVooRi
# yjEjYdJh+/j+eDAfBgNVHSMEGDAWgBSCutY9l86fz3Hokjev/bO1aTVXzzAzBggr
# BgEFBQcBAQQnMCUwIwYIKwYBBQUHMAGGF2h0dHA6Ly9vY3NwLmVudHJ1c3QubmV0
# MDEGA1UdHwQqMCgwJqAkoCKGIGh0dHA6Ly9jcmwuZW50cnVzdC5uZXQvY3NicjEu
# Y3JsMA4GA1UdDwEB/wQEAwIBhjATBgNVHSUEDDAKBggrBgEFBQcDAzBEBgNVHSAE
# PTA7MDAGBFUdIAAwKDAmBggrBgEFBQcCARYaaHR0cDovL3d3dy5lbnRydXN0Lm5l
# dC9ycGEwBwYFZ4EMAQMwDQYJKoZIhvcNAQENBQADggIBAD4AVLgq849mr2EWxFiT
# ZPRBi2RVjRs1M6GbkdirRsqrX7y+fnDk0tcHqJYH14bRVwoI0NB4Tfgq37IE85rh
# 13zwwQB6wUCh34qMt8u0HQFh8piapt24gwXKqSwW3JwtDv6nl+RQqZeVwUsqjFHj
# xALga3w1TVO8S5QTi1MYFl6mCqe4NMFssess5DF9DCzGfOGkVugtdtWyE3XqgwCu
# AHfGb6k97mMUgVAW/FtPEhkOWw+N6kvOBkyJS64gzI5HpnXWZe4vMOhdNI8fgk1c
# QqbyFExQIJwJonQkXDnYiTKFPK+M5Wqe5gQ6pRP/qh3NR0suAgW0ao/rhU+B7wrb
# fZ8pj6XCP1I4UkGVO7w+W1QwQiMJY95QjYk1RfqruA+Poq17ehGT8Y8ohHtoeUdq
# 6GQpTR/0HS9tHsiUhjzTWpl6a3yrNfcrOUtPuT8Wku8pjI2rrAEazHFEOctAPiAS
# zghw40f+3IDXCADRC2rqIbV5ZhfpaqpW3c0VeLEDwBStPkcYde0KU0syk83/gLGQ
# 1hPl5EF4Iu1BguUO37DOlSFF5osB0xn39CtVrNlWc2MQ4LigbctUlpigmSFRBqqm
# DDorY8t52kO50hLM3o9VeukJ8+Ka0yXBezaS2uDlUmfN4+ZUCqWd1HOj0y9dBmSF
# A3d/YNjCvHTJlZFot7d+YRl1MYIbOzCCGzcCAQEwdzBjMQswCQYDVQQGEwJVUzEW
# MBQGA1UEChMNRW50cnVzdCwgSW5jLjE8MDoGA1UEAxMzRW50cnVzdCBFeHRlbmRl
# ZCBWYWxpZGF0aW9uIENvZGUgU2lnbmluZyBDQSAtIEVWQ1MyAhBemkTB1UyMAXJm
# hSEL4MaiMA0GCWCGSAFlAwQCAQUAoIGyMBkGCSqGSIb3DQEJAzEMBgorBgEEAYI3
# AgEEMBwGCisGAQQBgjcCAQsxDjAMBgorBgEEAYI3AgEVMC8GCSqGSIb3DQEJBDEi
# BCC2gtA8JjRj4IWdG6TbUajODFe3jFInhNBwmvTGXFVclzBGBgorBgEEAYI3AgEM
# MTgwNqA0gDIAUwB1AHAAcABvAHIAdABBAHMAcwBpAHMAdAAgAE8AUwAgAFIAZQBj
# AG8AdgBlAHIAeTANBgkqhkiG9w0BAQEFAASCAYCr3uT2eSsWwfz/4TJZ7k5yZkZ3
# V4Ic/QGGUmL4yofLtE4AnYjj6VYbl5l1CXnuvHTU0LXCr5WW5X3bfnF1EHAvzGxa
# mjXwjdr3YoQJ+XFGDoa4/PjiRxQl8yAuIGtuR/qqe/BjltJLK1W+Y7dFKbsrEvSn
# bZnG+OQFK7/j0q+SgyWajKw0ft0cQ9srgv99P3xgzdn+9dncu78v+qjsepiimsek
# MLxjTtlJUt6W4LbHqKVWI2v7uhT64c2WtbL3U2XLnIg+GwKO/HVWSzUZZ38nuL9k
# 0iTF9dw1b7eAQKrwFCXBO8Bo+MrKdf2Q1wgpPOjJ7B9xiYt3eSp8WK4NGvVSLA0B
# jdJS7X/LQyY96AQ8OIFLdul46guggcozoF6PMR38zH2D3O05+cKDtNvsllgb9pqD
# dDQb6RLwD2Yk1/RvvAf6/kzxPwxY2lsYtLIQP4CEVCEV+8XCiG2Le+cx8k0R+Rdj
# eT17KFwOJHkbCPaPG1zUXP2ItibzzopAeJt/S8GhghhgMIIYXAYKKwYBBAGCNwMD
# ATGCGEwwghhIBgkqhkiG9w0BBwKgghg5MIIYNQIBAzENMAsGCWCGSAFlAwQCAzCB
# 9AYLKoZIhvcNAQkQAQSggeQEgeEwgd4CAQEGCmCGSAGG+mwKAwUwMTANBglghkgB
# ZQMEAgEFAAQgvx1RdnkwUJGTQTpIxucstBsqKVSjb0vlauhPzTO+MRUCCQDT3P2m
# RIul9xgPMjAyNDAzMTkwODU4MjFaMAMCAQGgeaR3MHUxCzAJBgNVBAYTAkNBMRAw
# DgYDVQQIEwdPbnRhcmlvMQ8wDQYDVQQHEwZPdHRhd2ExFjAUBgNVBAoTDUVudHJ1
# c3QsIEluYy4xKzApBgNVBAMTIkVudHJ1c3QgVGltZXN0YW1wIEF1dGhvcml0eSAt
# IFRTQTKgghMOMIIF3zCCBMegAwIBAgIQTkDkN1Tt5owAAAAAUdOUfzANBgkqhkiG
# 9w0BAQsFADCBvjELMAkGA1UEBhMCVVMxFjAUBgNVBAoTDUVudHJ1c3QsIEluYy4x
# KDAmBgNVBAsTH1NlZSB3d3cuZW50cnVzdC5uZXQvbGVnYWwtdGVybXMxOTA3BgNV
# BAsTMChjKSAyMDA5IEVudHJ1c3QsIEluYy4gLSBmb3IgYXV0aG9yaXplZCB1c2Ug
# b25seTEyMDAGA1UEAxMpRW50cnVzdCBSb290IENlcnRpZmljYXRpb24gQXV0aG9y
# aXR5IC0gRzIwHhcNMjEwNTA3MTU0MzQ1WhcNMzAxMTA3MTYxMzQ1WjBpMQswCQYD
# VQQGEwJVUzEWMBQGA1UECgwNRW50cnVzdCwgSW5jLjFCMEAGA1UEAww5RW50cnVz
# dCBDb2RlIFNpZ25pbmcgUm9vdCBDZXJ0aWZpY2F0aW9uIEF1dGhvcml0eSAtIENT
# QlIxMIICIjANBgkqhkiG9w0BAQEFAAOCAg8AMIICCgKCAgEAp4GP9xRFtmJD8tiu
# 0yVeSE9Rv8V9n1AcNdHWfmEqlBltJ0akphpd91RRaoAixqhmdU1Ug8leaBur9ltk
# sK2tIL1U70ZrbQLnRa519o6KuTIui7h3HFJNeYhfpToYyVAslyctv9oAfWN/7zLs
# Rodj25qfw1ohNnv5m9XKoG5yLPzh8Z5wTQhWFW+Qq/tIurnXwYJ4hWUuf7XJwOIU
# tzcRQQbiiuCo9uV+tngFAcNg7U8HQS4KE0njkJt/3b36rL9kUdFcm7T1XOdc/zub
# paAa130JssK3/24cvMh95ukr/HKzFOlKVRKEnEQldR32KvBPpSA9aCXrYZd8D+W2
# PfOuw8ERvBuOzOBHMF5CAIZx41isBsplH3uUpktXZwx+Xq14Z1tV417rx9jsTG6G
# y/Pc+J+HqnJYEg99pvj4Qjk7PCzkMk1JjODhAMI4oJz6hD5B3G5WrsYaW/RnaAUB
# zRu/roe8nVP2Lui2a+SZ3sVPh1io0mUeyB/Vcm7uWRxXOwlyndfKt5DGzXtFkpFC
# A0x9P8ryqrjCDobzEJ9GLqRmhmhaaBhwKTgRgGBrikOjc2zjs2s3/+adZwGSht8v
# SNH7UGDVXP4h0wFCY/7vcLQXwI+o7tPBS18S6v39Lg6HRGDjqfTCGKPj/c4MhCIN
# 86d42pPz2zjPuS8zxv8HPF6+RdMCAwEAAaOCASswggEnMA4GA1UdDwEB/wQEAwIB
# hjASBgNVHRMBAf8ECDAGAQH/AgEBMB0GA1UdJQQWMBQGCCsGAQUFBwMDBggrBgEF
# BQcDCDA7BgNVHSAENDAyMDAGBFUdIAAwKDAmBggrBgEFBQcCARYaaHR0cDovL3d3
# dy5lbnRydXN0Lm5ldC9ycGEwMwYIKwYBBQUHAQEEJzAlMCMGCCsGAQUFBzABhhdo
# dHRwOi8vb2NzcC5lbnRydXN0Lm5ldDAwBgNVHR8EKTAnMCWgI6Ahhh9odHRwOi8v
# Y3JsLmVudHJ1c3QubmV0L2cyY2EuY3JsMB0GA1UdDgQWBBSCutY9l86fz3Hokjev
# /bO1aTVXzzAfBgNVHSMEGDAWgBRqciZ60B7vfec7aVHUbI2fkBJmqzANBgkqhkiG
# 9w0BAQsFAAOCAQEAH15BBLaDcCRTLFVzHWU6wOy0ewSYXlk4EwmkWZRCXlC/T2xu
# JSCQk1hADfUZtGLuJF7CAVgVAh0QCW+o1PuSfjc4Pi8UfY8dQzZks2YTXxTMpXH3
# WyFLxpe+3JX8cH0RHNMh3dAkOSnF/goapc97ee46b97cv+kR3RaDCNMsjX9NqBR5
# LwVhUjjrYPMUaH3LsoqtwJRc5CYOLIrdRsPO5FZRxVbjhbhNm0VyiwfxivtJuF/R
# 8paBXWlSJPEII9LWIw/ri9d+i8GTa/rxYntY6VCbl24XiA3hxkOY14FhtoWdR+yx
# nq4/IDtDndiiHODUfAjCr3YG+GJmerb3+sivNTCCBm8wggRXoAMCAQICECW8K/Mp
# yhB/Hqm6iIXUnTswDQYJKoZIhvcNAQENBQAwaTELMAkGA1UEBhMCVVMxFjAUBgNV
# BAoMDUVudHJ1c3QsIEluYy4xQjBABgNVBAMMOUVudHJ1c3QgQ29kZSBTaWduaW5n
# IFJvb3QgQ2VydGlmaWNhdGlvbiBBdXRob3JpdHkgLSBDU0JSMTAeFw0yMTA1MDcx
# OTIyMTRaFw00MDEyMjkyMzU5MDBaME4xCzAJBgNVBAYTAlVTMRYwFAYDVQQKEw1F
# bnRydXN0LCBJbmMuMScwJQYDVQQDEx5FbnRydXN0IFRpbWUgU3RhbXBpbmcgQ0Eg
# LSBUUzIwggIiMA0GCSqGSIb3DQEBAQUAA4ICDwAwggIKAoICAQC1AyoGtoRPNMye
# Mb7qjsZ7biAkDwPXvYE2M+Zv0j67xJ6qoMxmXUJgNFHiLWGDujyeaLhLw2aOpd4r
# upstQaXe0MtXBS2I2cBGiG08NQ0ZkKy4DBnwTMXbRVvcO8K8jUQA4Dj//13Izwia
# PdSy63uVw8SlAOBiAWRZX4zje4up+UW3xrCiCjdDuEaBq4Z+fy/e8F/rzSDMpS0x
# 46gumZvgeN30212CY30wOYh+JAbmfGCEeMhcKeWVy/V7T89Y3JDPp6J7FFTE4DeY
# MMGbtq6cKfZrJUPnEmo+GYu+wOeB10owCH58jd8880iTId6Bg2qdAD7XYLrRs2II
# lum2SQA49Fx2Ddp3aj2gld4eocxZel6fz+l2XUDytRW1YGgs81rJI4PY9RpraSik
# ttSuYgbeJkW93ulWd6rcZLBBzcwT8V1xdLKUCEtPMm5+cLh36dUyN8J63kIS6HEc
# 4thiv6prQYYGW+ZpviYJ9JfC/kz0gHKEbtvexQepjhWibeEb4AkP9aAHoLvEd3MJ
# PAeTjQG1EmctTRm1uMXJEKtwz0L/pScd1hLW5BhEYPs5XYS7ZrVTEp0DFIJlKbTs
# SXL9s0PlwwIpJLof+Li+XaO3Lqn8z2LZ+pfEE3jjVblaeoTr/7vPaYjAtvmLYIVB
# EFDHBRDSXnadPjXs9k+K+RJ7P68LNwIDAQABo4IBLDCCASgwEgYDVR0TAQH/BAgw
# BgEB/wIBADAdBgNVHQ4EFgQUJg/wxEgIG83dkfVUVLazs/yZ8QgwHwYDVR0jBBgw
# FoAUgrrWPZfOn89x6JI3r/2ztWk1V88wMwYIKwYBBQUHAQEEJzAlMCMGCCsGAQUF
# BzABhhdodHRwOi8vb2NzcC5lbnRydXN0Lm5ldDAxBgNVHR8EKjAoMCagJKAihiBo
# dHRwOi8vY3JsLmVudHJ1c3QubmV0L2NzYnIxLmNybDAOBgNVHQ8BAf8EBAMCAYYw
# EwYDVR0lBAwwCgYIKwYBBQUHAwgwRQYDVR0gBD4wPDAwBgRVHSAAMCgwJgYIKwYB
# BQUHAgEWGmh0dHA6Ly93d3cuZW50cnVzdC5uZXQvcnBhMAgGBmeBDAEEAjANBgkq
# hkiG9w0BAQ0FAAOCAgEAdj1GaIVfCcDOyfjHuNd+p1w7C0ZzziJTizj2Ebp3xMKH
# IY8n2QyV6+hL5VzXkBVvqCosimrgIhE0efq9lnnIdhbNsUTqcVEPm1XJGHzVgnmc
# 86a3k6kFOHICBpehqLJ5fl4I4m5seZqoh5TOf49VNkAPnz9R1Wa+e6uG5m6Huk5j
# XbHYjh/LZ8MNcNp665OyFITSPn2TPxYMNqBceQCfC27lhCrYiMFtBLc385KacOA7
# A/3NuyeCzi/8jeSyyr74JYXG7XTIPTVfOAk9eU/rG+BBXqV0gT9RFcD4SYiPursF
# 1K1FgjN5wSWNX1Q9keS4nxeYAF2tKOVPXxv7+FS1pcQk/PB2O/gNXsxHsMqqu25R
# 31O1SRrxYIe3+f1pBnVfc9YRkPKAWI7lww8DmIwEU7Mph98/97DpTFeBJER5aP4b
# NgfWZT3sb9bCtaphfGYG7NLlaYD4cZIuXOIRRhhFS9b6BWTvu94GykMlvd+NyQF0
# YYjb8MemPeMMcbx/S+fI4G7g2oD5AJ7AayXVo7pcK/7EYCAUSgcjMeUay5FEspp7
# Q/FbmLUhS7gxOyJU7nlh95qUG2YnKsbf4WVd73E55lAl/Yc0ua5dfCc752WT+CiE
# sW+GkyyTk7Zwr6HuyKRhqYQ7+wq3+LhtJu5HTvVeBfqcDxF918uRrkMg9xVZY7ww
# gga0MIIEnKADAgECAhBbcCbMlvZ4GruF9hH1bbtuMA0GCSqGSIb3DQEBDQUAME4x
# CzAJBgNVBAYTAlVTMRYwFAYDVQQKEw1FbnRydXN0LCBJbmMuMScwJQYDVQQDEx5F
# bnRydXN0IFRpbWUgU3RhbXBpbmcgQ0EgLSBUUzIwHhcNMjQwMTE5MTY0NzQ3WhcN
# MzUwNDE4MDAwMDAwWjB1MQswCQYDVQQGEwJDQTEQMA4GA1UECBMHT250YXJpbzEP
# MA0GA1UEBxMGT3R0YXdhMRYwFAYDVQQKEw1FbnRydXN0LCBJbmMuMSswKQYDVQQD
# EyJFbnRydXN0IFRpbWVzdGFtcCBBdXRob3JpdHkgLSBUU0EyMIICIjANBgkqhkiG
# 9w0BAQEFAAOCAg8AMIICCgKCAgEAqoYEOF6PaL+D9Vr9VJvFfTp1ncSnLU9t6dAF
# H1HjM7svXzqxllSK6Qh8NK2Jg1WknwLMIwvYG3pApMyfQuoTf3y44LdKAgXig0kE
# bwaGzXNBqYPUmGf69FIZeuNKWSiHVhddSPGGkQu4ImTbQfldVLU1pG443AgNGlYY
# QMN+mDxCM4QNxaVhUc4gbU8Ay0LwqHUb20b+Kdwbntf4GAVRdjCbdL2VHxlTZRVH
# LFZja+m6SKwKOLbBcv0gCqN0GmsHf9HdrBfOtRzHeokM7G0cMI0F8K89l8w1tLUF
# A2a6nnb8OdrImtYSEuRBwoUiQPDLuojp0ofCq8Y0O+WrDQAGDga1i3vRCyLaPKjJ
# VnvwNQSW6llGjI/UoLWpg7DOhPtLROVBqBbzr9rRoCdw3wfvN/Oukc7UIX+GmNxe
# 7o/A2kfbacoQuZGVgBVj8SsawpahH8L3PNT2fSQHJahUlG8KVdvbJENuLjuie0m7
# tdYYj9kEs77qx7VkmkvOUmEeKwUeYzdGnbHJ1V6HpOrXNLIhQhe4Oig6XqXtPv03
# F39jIPJ71l/K8xQ/4c7/ineUZm2JweDsfwRwOGQn9acXfU3KDIEbxeXxNsV6rn0p
# pEc1OPoN9FMDKQX8b6GLyc3xuIhA09LbniUxrdfmWtgEtIS7BEZhZv9dMt780z58
# Thjvft8CAwEAAaOCAWUwggFhMAwGA1UdEwEB/wQCMAAwHQYDVR0OBBYEFPV2GvgQ
# mJKhG3epACzxlWICC3knMB8GA1UdIwQYMBaAFCYP8MRICBvN3ZH1VFS2s7P8mfEI
# MGgGCCsGAQUFBwEBBFwwWjAjBggrBgEFBQcwAYYXaHR0cDovL29jc3AuZW50cnVz
# dC5uZXQwMwYIKwYBBQUHMAKGJ2h0dHA6Ly9haWEuZW50cnVzdC5uZXQvdHMyLWNo
# YWluMjU2LnA3YzAxBgNVHR8EKjAoMCagJKAihiBodHRwOi8vY3JsLmVudHJ1c3Qu
# bmV0L3RzMmNhLmNybDAOBgNVHQ8BAf8EBAMCB4AwFgYDVR0lAQH/BAwwCgYIKwYB
# BQUHAwgwTAYDVR0gBEUwQzA3BgpghkgBhvpsCgEHMCkwJwYIKwYBBQUHAgEWG2h0
# dHBzOi8vd3d3LmVudHJ1c3QubmV0L3JwYTAIBgZngQwBBAIwDQYJKoZIhvcNAQEN
# BQADggIBAKmrfb8aAIVb3O1xJl6Ugq9cgkv6HDnFU7XDBt0DYH75YZpBIMKuQRcu
# pUIIkQlelzCYgUXWsrWEPYvphwfaAT/gCFhnESCUHsAWjmN3vZtsBY09tcuaMalK
# XGIyohPOkJwNx5BPZ8PgqH+HhEvX8sEhDxDnF7n7vQnMvoqmAf5Ngk9pIJp1a+QN
# 91AmU/wz9/4brqdqwKjrHq8i0z1gFZ+65NUppLVXn7Fl9rFMYdXSyNq3rKoYHyAY
# iqb49Qf5civ2Y9glnBb++5TfhnSiILTyCN8W7zmAdjqSsdCWg2rafFOJWRsNXPG7
# KfIhT2EsJIn4dgl/2WiQjlcMZNV2AHFZ89SEyDyhiH+ob/O9bn+wqI7mk2zpFMV1
# HAwrzvIH+7Wu1EExv8HMaZgYrlsIj6tcZLmEar1cOKHfT0K3S1tS0973O8ufb8JZ
# QiJOCxi3Isgv/GoJhe1QKVF6xJRLtnFlikqGmkt4S1aKod4vi5NbMsyhue+ptgzY
# BgsXML8Nb4+TrMsR9fHHAJ7QGdecX45UfGupQztj3MFEq72MOkPwcj8klc2EkV0h
# AA14aw1cIySfTK80yxRa3rHkRVD9r2+nBYKnc8/P6ZLqcyqx4d2iA+YgvB1nGlbC
# LvasX8pOgbDmWh1zz9IU81B4KAVOFW6FJPgzqIivdG30Us6MqISeMYIEFjCCBBIC
# AQEwYjBOMQswCQYDVQQGEwJVUzEWMBQGA1UEChMNRW50cnVzdCwgSW5jLjEnMCUG
# A1UEAxMeRW50cnVzdCBUaW1lIFN0YW1waW5nIENBIC0gVFMyAhBbcCbMlvZ4GruF
# 9hH1bbtuMAsGCWCGSAFlAwQCA6CCAYkwGgYJKoZIhvcNAQkDMQ0GCyqGSIb3DQEJ
# EAEEMBwGCSqGSIb3DQEJBTEPFw0yNDAzMTkwODU4MjFaMCkGCSqGSIb3DQEJNDEc
# MBowCwYJYIZIAWUDBAIDoQsGCSqGSIb3DQEBDTBPBgkqhkiG9w0BCQQxQgRAbm2S
# Lb+qdPw/PkpMttQUqRVVC5j0Zp6VFSf1iew6oYwxqMR5gZs/z59C/71ZPyJWdHvf
# Zm3Ih9gqwJLPId9I1DCB0AYLKoZIhvcNAQkQAi8xgcAwgb0wgbowgbcwCwYJYIZI
# AWUDBAIDBEA5EUIuFwI+qpkkmXQODsjo0nLTVfxc9mz5EVavl1U05ICv07x8TFtX
# 79H/vNt1FGXg1AVahU6bETnZ9+xV1f4kMGYwUqRQME4xCzAJBgNVBAYTAlVTMRYw
# FAYDVQQKEw1FbnRydXN0LCBJbmMuMScwJQYDVQQDEx5FbnRydXN0IFRpbWUgU3Rh
# bXBpbmcgQ0EgLSBUUzICEFtwJsyW9ngau4X2EfVtu24wCwYJKoZIhvcNAQENBIIC
# AJqlE/3aMYsk7bmWCTakqDYXU7skM4lx7kAJAJFatbeJHMOhS8A9nBYQJ9dtu9bC
# Kvu+OVdV0B1PZsVnLbIfrxmMV90oWgcWFTE5Jfs5WPPSAYCrYGFySeolTTMzERei
# upwKd6gSlYKynbOHKOj5CIFK6wfEk/CKBwwNQdmi2KqTWilK99J/p9bSvnAkjucX
# MIgpZypPMthr8SFKKS1IMnVeMKvV5H2+EnwDV6v0QMm3Ll5zwxbh+X2ejk9Ky4zv
# STB2iDI9KfzDPZq6tOS4RAxcjLDYSklbjzRyxpVXtYpyIgUoy1miEKnsXLiNhwuF
# /D5yNkrsTm+Nj3E6cZugJf/SK/y4IUjd0ByO1ttjyD49YzR1afworAlXn7JbijGg
# 4gVChHPN/TbNwTfq/KT8gcuKFEWqUCKn9gUJvqY61I099FwnhRyUkReIq0vXypLz
# 4yfLFAvjvTwQWpqOPMziNvA3gmB3keMW6NdTrYSewvMMabki3QSDhKYoRQfPsGs+
# m5QXqNysmill7cfKu08G+UaV8Vuupk6CyzDhsdCsxbFGJ62xdF49tS6/VGkRWYoG
# DFcf7OeYJw/5sXBe2UyOy+I+od0yHL69+1MfN+S2Yvtxwlygvf4igH0O8smZ2Po4
# 1r69zEJAktkrF+Twq2SleeyiV4xJw4S+/18iZeCsHlCR
# SIG # End signature block
